Summary:	Atari Jaguar Emulator
Name:		virtualjaguar
Version:	2.1.3
Release:	%mkrel 7
Group:		Emulators
License:	GPLv3
URL:		http://www.icculus.org/virtualjaguar/
Source0:	http://www.icculus.org/virtualjaguar/tarballs/%{name}-%{version}.tar.bz2
Patch0:		virtualjaguar-2.1.3-optflags.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Virtual Jaguar is software dedicated to emulating the Atari Jaguar hardware on
a standard PC. The software was originally developed by David Raingeard of
Potato Emulation and was released under the GPL on 25 June 2003.

Virtual Jaguar GCC/Qt is not just a port of the MS Visual C++/SDL source code
but has also been extended and rewritten so that we can enjoy Atari Jaguar
emulation on every platform that has a GCC compiler and a port of Qt.

%prep
%setup -q -n linux-%{version}
%autopatch -p1

# Fix Qt5 qmake call
sed -i 's|qmake -qt=5|%{_qt5_bindir}/qmake|' Makefile

%build
#Since 2.0.2, build breaks when using %%make macro because of -j2 parameter
#so we use make directly for now
%__make

%install

%__mkdir_p %{buildroot}%{_bindir}
%__install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 res/vj.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Jaguar
Comment=Emulate the Atari Jaguar console
Comment[fr]=Émuler la console Atari Jaguar
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Emulator;
Keywords=Emulator;Atari;Console;
EOF

%files
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.1.3-7.mga8
+ Revision: 1660132
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.1.3-6.mga8
+ Revision: 1527270
- Mageia 8 Mass Rebuild

* Sun Jul 14 2019 daviddavid <daviddavid> 2.1.3-5.mga8
+ Revision: 1421257
- rebuild for new libcdio 2.1.0

* Tue Apr 02 2019 umeabot <umeabot> 2.1.3-4.mga7
+ Revision: 1385221
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-3.mga7
+ Revision: 1301621
- Mageia 7 Mass Rebuild

* Sun Jan 14 2018 wally <wally> 2.1.3-2.mga7
+ Revision: 1193056
- rebuild for new libcdio

* Fri Oct 06 2017 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1169612
- new version: 2.1.3
- add patch to honor user CFLAGS thus fixing empty debugsourcefiles.list
- port to Qt5
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 2.1.2-1.mga6
+ Revision: 906004
- new version: 2.1.2
- remove merged patches
- update URL
- update desktop file

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-6.mga5
+ Revision: 748261
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-5.mga5
+ Revision: 690218
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-4.mga4
+ Revision: 520038
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 385426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 juancho <juancho> 2.0.2-2.mga3
+ Revision: 326736
- Added patch to include unistd.h in mainwin.cpp to fix build.

* Tue Jan 10 2012 juancho <juancho> 2.0.2-1.mga2
+ Revision: 194425
- Updated to 2.0.2

* Sun Nov 20 2011 juancho <juancho> 2.0.1-1.mga2
+ Revision: 169644
- imported package virtualjaguar


* Sun Nov 20 2011 Juan Luis Baptiste <juancho@mageia.org> 2.0.1-1.mga2
- Cleanup to blogdrake package

* Thu Oct 20 2011 Joaquín <joaquinmandriva@gmail.com> 2.0.1-1.bdk.mga
- new version 2.0.1 in Mageia

* Thu Oct 20 2011 Andrey Bondrov <abondrov@mandriva.org> 2.0.1-1mdv2012.0
+ Revision: 705492
- New bugfix version 2.0.1

* Mon Oct 17 2011 Joaquín <joaquinmandriva@gmail.com> 2.0.0-1.bdk.mga
- Packaged to Mageia (Blogdrake Repository)

* Fri Oct 14 2011 Andrey Bondrov <abondrov@mandriva.org> 2.0.0-1
+ Revision: 704652
- imported package virtualjaguar

